---
title: Stealth OS needs your help to scale out!
date: 2018-12-28T02:23:57+00:00
author: palinuro
image: /assets/blog/macaw-vaporwave.jpg
---
<div class="public-preview">
  <p class="line" data-line="0">
    It seems like every day now that you receive an email from your favorite startup, notifying you that their product has just been launched, where it will likely be discontinued and disassembled into a thousand pieces, all of which will likely be used for completely different objectives, never to be seen again in their original form and function.
  </p>
  
  <p class="line" data-line="2">
    You had perhaps been tracking its development for years, looking forward to it gaining traction, improving stability, adding new features, and possibly even finding new and diverse funding sources. And yet it often ends like that: either the team behind it sells everything off at peak value, or they end up taking drastic and controversial choices &#8211; whether technical or financial &#8211; to keep the project alive and running in the long term.
  </p>
  
  <p class="line" data-line="5">
    This leaves us with a very tangible and important problem: how do we tackle the expansion and scalability of our ideas, works, products, and creations, especially in our beloved world of free and open source endeavours?
  </p>
  
  <p class="line" data-line="7">
    I don&#8217;t know if you&#8217;ve heard, but Stealth has recently climbed briefly to the top 15 &#8220;most popular distro&#8221; spot on DistroWatch, reaching more than 300k unique and active users every month, and that is simply amazing, even more so considering its extremely humble origins and small development team.
  </p>
  
  <p class="line" data-line="9">
    And yet, Stealth only runs on about 150€/month of financial support, most of which are coming from our Patreon account from 22 supporters, leaving all the other users clear of any form of contribution, and forcing the core devs the task of taking care of the uncovered fees. This has worked surprisingly well until now, but &#8211; luckily I would say &#8211; we&#8217;ve finally reached the point where such limited support could hinder its future growth if we don&#8217;t take action now to expand our funding sources.
  </p>
  
  <p class="line" data-line="11">
    I know what you might be thinking now, but here&#8217;s where the good news comes in: even now, at this topical time of expansion and increasing development in our history, nothing is changing, nor will ever change, in terms of our how everything runs behind the scenes of our favourite distro, no matter how large the project will grow, or how widely adopted it will become.
  </p>
  
  <p class="line" data-line="13">
    The entire team will keep writing its code with the same passion and commitment as they always have, even with the limited resources we have right now, Lorenzo will still and always be in complete and exclusive control of the private keys required to approve system updates, each and every one of our builds will still have the same level of high quality automation behind it and &#8211; at the same time &#8211; of attention in their thorough and extensive manual review. And beyond this, we&#8217;ll keep experimenting and testing out new and diverse paths to make the distro even more more feature-rich, secure, fun, and effective to use, hopefully even &#8211; one day &#8211; in directions that now are simply out of reach for the current scale of the project.
  </p>
  
  <p class="line" data-line="15">
    At the same time, however, we need to start investing our time and efforts into the search for new ways of doing what we already do, in order to power the next X years of Stealth, all while keeping 100% true to our ideals, and fiercely maintaining our no-compromise approach towards transparency and trustworthiness, which are the building blocks of our identity, and rock solid security, towards which we devote sleepless nights of our lives, taking it to extreme and paranoid levels of care in execution.
  </p>
  
  <p class="line" data-line="17">
    Among the most important objectives we&#8217;ve set ourselves are:
  </p>
  
  <ol>
    <li>
      The construction of a robust and reliable build infrastructure, where our already highly advanced pipelines can run in heavily secured environments.
    </li>
    <li>
      The expanse of our OS in public and private sectors, especially in Italy, where we are located. [public administrations, schools, non-profits, etc&#8230;]
    </li>
    <li>
      The formalization of the actual FrozenBox non-profit here in Italy, to lay the legal groundwork required to set our near-future donations program in motion, and federate with other projects in the area.
    </li>
    <li>
      The search for our very own future datacenter and peering agreements with other network operators, to bring our online presence and its bandwith to a whole new level.
    </li>
    <li>
      To develop a rock-solid LTS edition for better stability and reliability.
    </li>
    <li>
      To make the stealth environment portable to other distributions and environments.
    </li>
  </ol>
  
  <p class="line" data-line="24">
    For now, however, we&#8217;re still in the early stages of all of these aims, and we absolutely need your help to achieve them, let alone to keep running all of the required operations that make Stealth such a thriving and ever-innovating project, mostly thanks to your constant support in helping us fix what needs to work better and research what could work differently.
  </p>
  
  <p class="line" data-line="26">
    To kickstart this process, we&#8217;ve outlined three simple and extremely effective actions you can take right now to shape the future of our work:
  </p>
  
  <ol>
    <li>
      Become a regular contributor on <a href="https://patreon.com/stealth">patreon.com/stealth</a>
    </li>
    <li>
      Become a stealth developer (debian package maintainer skills are required)
    </li>
    <li>
      Help us hosting our infrastructure by sending us servers or housing our currently spare nodes.
    </li>
  </ol>
</div>

&#8211; nikksno